Ich habe alle Configs genaustens aufeinander abgestimmt, der MySQL-User hat genügend Rechte etc. nur ich weiß nicht woran es liegt, dass SourceBans mir nicht meine Rechte inGame gibt etc.
Auch wenn ich mir manuell Rechte via. die admins.cfg gebe und mich banne, wird mein Ban nicht auf der Website geloggt!
Ich könnte Ihnen eventuell helfen.
Dafür bräuchte ich jedoch noch ein paar mehr Informationen.
Am besten Sie schicken mir mal eine PN mit einer Kontaktmöglichkeit, wie z.B. Skype oder Steam.
L 04/30/2013 - 13:15:07: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 13:36:49: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 14:08:37: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 14:20:18: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 14:20:23: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 14:37:52: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 15:28:13: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 16:28:43: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 16:51:33: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 17:24:00: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
L 04/30/2013 - 17:24:16: [sourcebans.smx] Database failure: [2002]: Can't connect to local MySQL server through socket '/tmp/mysql.sock' (2). See FAQ: http://www.sourcebans.net/node/20
Your MySQL server does not allow incoming connections from your gameserver. To fix this, you can do either of the following:
* Go into your webserver's control panel and check if there's a section called MySQL Access Hosts or something named similar. There you can add the IP address mentioned in the error. This is usually the IP of your gameserver, but it can also be slightly different, so make sure you copy and paste it exactly from the error.
* The other option is to run the following query on your SourceBans database (for example using phpMyAdmin):
GRANT ALL ON database.* TO 'username'@'ip';
You will have to replace "database" with your SourceBans database name, and "username" and "ip" with those mentioned in the error.
Habe jetzt meine MySQL-Datei umgeschrieben (die aus dem Verzeichnis '/etc/init.d/').
Diese sieht folgendermaßen aus:
Quote:
#!/bin/bash ln -s /var/run/mysqld/mysqld.sock /tmp/mysql.sock
#
### BEGIN INIT INFO
# Provides: mysql
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Should-Start: $network $time
# Should-Stop: $network $time
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start and stop the mysql database server daemon
# Description: Controls the main MySQL database server daemon "mysqld"
# and its wrapper script "mysqld_safe".
### END INIT INFO
#
set -e
set -u
${DEBIAN_SCRIPT_DEBUG:+ set -v -x}
# priority can be overriden and "-s" adds output to stderr
ERR_LOGGER="logger -p daemon.err -t /etc/init.d/mysql -i"
# Safeguard (relative paths, core dumps..)
cd /
umask 077
# mysqladmin likes to read /root/.my.cnf. This is usually not what I want
# as many admins e.g. only store a password without a username there and
# so break my scripts.
export HOME=/etc/mysql/
## Do some sanity checks before even trying to start mysqld.
sanity_checks() {
# check for config file
if [ ! -r /etc/mysql/my.cnf ]; then
log_warning_msg "$0: WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz"
echo "WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz" | $ERR_LOGGER
fi
# check for diskspace shortage
datadir=`mysqld_get_param datadir`
if LC_ALL=C BLOCKSIZE= df --portability $datadir/. | tail -n 1 | awk '{ exit ($4>4096) }'; then
log_failure_msg "$0: ERROR: The partition with $datadir is too full!"
echo "ERROR: The partition with $datadir is too full!" | $ERR_LOGGER
exit 1
fi
}
## Checks if there is a server running and if so if it is accessible.
#
# check_alive insists on a pingable server
# check_dead also fails if there is a lost mysqld in the process list
#
# Usage: boolean mysqld_status [check_alive|check_dead] [warn|nowarn]
mysqld_status () {
ping_output=`$MYADMIN ping 2>&1`; ping_alive=$(( ! $? ))
ps_alive=0
pidfile=`mysqld_get_param pid-file`
if [ -f "$pidfile" ] && ps `cat $pidfile` >/dev/null 2>&1; then ps_alive=1; fi
if [ "$1" = "check_alive" -a $ping_alive = 1 ] ||
[ "$1" = "check_dead" -a $ping_alive = 0 -a $ps_alive = 0 ]; then
return 0 # EXIT_SUCCESS
else
if [ "$2" = "warn" ]; then
echo -e "$ps_alive processes alive and '$MYADMIN ping' resulted in\n$ping_output\n" | $ERR_LOGGER -p daemon.debug
fi
return 1 # EXIT_FAILURE
fi
}
#
# main()
#
case "${1:-''}" in
'start')
sanity_checks;
# Start daemon
log_daemon_msg "Starting MySQL database server" "mysqld"
if mysqld_status check_alive nowarn; then
log_progress_msg "already running"
log_end_msg 0
else
# Could be removed during boot
test -e /var/run/mysqld || install -m 755 -o mysql -g root -d /var/run/mysqld
# 6s was reported in #352070 to be too few when using ndbcluster
for i in 1 2 3 4 5 6 7 8 9 10 11 12 13 14; do
sleep 1
if mysqld_status check_alive nowarn ; then break; fi
log_progress_msg "."
done
if mysqld_status check_alive warn; then
log_end_msg 0
# Now start mysqlcheck or whatever the admin wants.
output=$(/etc/mysql/debian-start)
[ -n "$output" ] && log_action_msg "$output"
else
log_end_msg 1
log_failure_msg "Please take a look at the syslog"
fi
fi
;;
'stop')
# * As a passwordless mysqladmin (e.g. via ~/.my.cnf) must be possible
# at least for cron, we can rely on it here, too. (although we have
# to specify it explicit as e.g. sudo environments points to the normal
# users home and not /root)
log_daemon_msg "Stopping MySQL database server" "mysqld"
if ! mysqld_status check_dead nowarn; then
set +e
shutdown_out=`$MYADMIN shutdown 2>&1`; r=$?
set -e
if [ "$r" -ne 0 ]; then
log_end_msg 1
[ "$VERBOSE" != "no" ] && log_failure_msg "Error: $shutdown_out"
log_daemon_msg "Killing MySQL database server by signal" "mysqld"
killall -15 mysqld
server_down=
for i in 1 2 3 4 5 6 7 8 9 10; do
sleep 1
if mysqld_status check_dead nowarn; then server_down=1; break; fi
done
if test -z "$server_down"; then killall -9 mysqld; fi
fi
fi
if ! mysqld_status check_dead warn; then
log_end_msg 1
log_failure_msg "Please stop MySQL manually and read /usr/share/doc/mysql-server-5.1/README.Debian.gz!"
exit -1
else
log_end_msg 0
fi
;;
'restart')
set +e; $SELF stop; set -e
$SELF start
;;
Sourcemod problem ! 09/21/2012 - Counter-Strike - 1 Replies Hey, ich habe gestern Sourcemod auf meinen Server installiert (Linux) und musste merken das er nicht funktioniert, der Metamod schon, könnt ihr mir da weiterhelfen?
http://i.epvpimg.com/NC06d.png
€:Problem behoben.
[FRAGE] CS:S-Server Eventscripts/Sourcemod Problem 09/24/2011 - Counter-Strike - 3 Replies Hey liebe Com,
Ich habe mir einen Windows Root zugelegt um auf ihm ein paar css Server zu hosten...
Die laufen auch ganz gut aber irgentwie lässt sich dort eventscripts und Sourcemod nicht instalieren...
Wenn ich ingame nachgucke welche Plugins laufen steht da nur Metamod!
Weiß einer wie ich das mit Eventscripts und Sourcemod fixxen kann?
Habe diese ganzen befehle wie z.b. mattie_eventscripts 1 und so schon alle in die autoexec.cfg geschrieben.
Hoffentlich kann mir einer helfen
mfg
[S]Sourcebans Einrichter gesucht! 09/02/2011 - Counter-Strike - 1 Replies Hallo Community,
ich brauche eure Hilfe oder eher gesagt von einem Hilfe
ja auch ich brauche mal Hilfe ;)
Was ist mein Problem?
-Sourcebans ist neuland für mich und ich habe momentan relativ wenig Zeit weil ich mich um 6 Server kümmern muss
Was biete ich?
SourceBans Problem 06/20/2011 - Counter-Strike - 4 Replies Hallo,
immer wenn ich SourceBans installieren möchte kommt diese Fehlermeldung:
Wer kann mir helfen?
[Problem]Problem mit rcon (SourceMod server) 09/18/2010 - Counter-Strike - 4 Replies Hallo nachdem ich rcon_password *xxx* eingegebn habe wollte ich die surfeinstellungen für mein server machen da bekam ich ein error :
Can't change replicated ConVar sv_accelerate from console of client, only server operator can change its value
Kann mir wer helfen?